Bug 257621 - net-im/fractal: respect RUSTFLAGS
Summary: net-im/fractal: respect RUSTFLAGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-08-04 16:26 UTC by Evgeniy Khramtsov
Modified: 2021-08-16 20:45 UTC (History)
1 user (show)

See Also:
greg: maintainer-feedback+
jbeich: merge-quarterly+


Attachments
v1 (use "git am") (900 bytes, patch)
2021-08-04 16:26 UTC, Evgeniy Khramtsov
evgeniy: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-08-04 16:26:20 UTC
Created attachment 226947 [details]
v1 (use "git am")

net-im/fractal can't build on alternatively sane setups where the base toolchain
does not exist (no base cc and ld), and the toolchain is provided via ports instead, e.g. via inclusion of /usr/local/share/toolchains/*.mk.

This patch fixed this for me, at least. Note, I can't provide QA like in
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257604 due to hw issues. Also, I can respond to feedback (change something, test, etc) only in a ~ week.
Comment 1 Greg V 2021-08-05 11:50:56 UTC
hm. I also don't have a base cc, but didn't need this. Either the /usr/local/bin/cc -> clang12 symlink works, or some other thing I did to support building stuff like this. Still, the change is fine.
Comment 2 Evgeniy Khramtsov 2021-08-08 12:53:50 UTC
Apparently there is one more PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243708 that got approved by maintainer back in 2020, but never committed. May a ports committer take a look at both of these? Thanks.
Comment 3 commit-hook freebsd_committer 2021-08-16 20:43:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e6d430445e5a7180f1b45e61eb7793c8c43f3aa0

commit e6d430445e5a7180f1b45e61eb7793c8c43f3aa0
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-08-04 12:43:13 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-08-16 20:16:51 +0000

    net-im/fractal: respect RUSTFLAGS

    Set RUSTFLAGS like Mk/Uses/cargo.mk does to respect CC and LDFLAGS.

    PR:             257621
    Approved by:    Greg V <greg@unrelenting.technology> (maintainer)

 net-im/fractal/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 4 commit-hook freebsd_committer 2021-08-16 20:44:58 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=52549f096d76c3539c5644afc7ea01ce5b50e3d3

commit 52549f096d76c3539c5644afc7ea01ce5b50e3d3
Author:     Evgeniy Khramtsov <evgeniy@khramtsov.org>
AuthorDate: 2021-08-04 12:43:13 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-08-16 20:44:17 +0000

    net-im/fractal: respect RUSTFLAGS

    Set RUSTFLAGS like Mk/Uses/cargo.mk does to respect CC and LDFLAGS.

    PR:             257621
    Approved by:    Greg V <greg@unrelenting.technology> (maintainer)

    (cherry picked from commit e6d430445e5a7180f1b45e61eb7793c8c43f3aa0)

 net-im/fractal/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)